Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.graph
Class ProtegeCapabilities

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.graph.ProtegeCapabilities

All Implemented Interfaces:
  com.hp.hpl.jena.graph.Capabilities

    public class ProtegeCapabilities

extends Object
implements com.hp.hpl.jena.graph.Capabilities

Author:
  Holger Knublauch

Constructor Summary
`ProtegeCapabilities()`

Method Summary
`boolean` | `addAllowed()`
`boolean` | `addAllowed(boolean b)`
`boolean` | `canBeEmpty()`
`boolean` | `deleteAllowed()`
`boolean` | `deleteAllowed(boolean b)`
`boolean` | `findContractSafe()`
`boolean` | `handlesLiteralTyping()`
`boolean` | `iteratorRemoveAllowed()`
`boolean` | `sizeAccurate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegeCapabilities

    public ProtegeCapabilities()

Method Detail

### addAllowed

    public boolean addAllowed()

  Specified by:
    `addAllowed` in interface `com.hp.hpl.jena.graph.Capabilities`

### addAllowed

    public boolean addAllowed(boolean b)

  Specified by:
    `addAllowed` in interface `com.hp.hpl.jena.graph.Capabilities`

### canBeEmpty

    public boolean canBeEmpty()

  Specified by:
    `canBeEmpty` in interface `com.hp.hpl.jena.graph.Capabilities`

### deleteAllowed

    public boolean deleteAllowed()

  Specified by:
    `deleteAllowed` in interface `com.hp.hpl.jena.graph.Capabilities`

### deleteAllowed

    public boolean deleteAllowed(boolean b)

  Specified by:
    `deleteAllowed` in interface `com.hp.hpl.jena.graph.Capabilities`

### findContractSafe

    public boolean findContractSafe()

  Specified by:
    `findContractSafe` in interface `com.hp.hpl.jena.graph.Capabilities`

### iteratorRemoveAllowed

    public boolean iteratorRemoveAllowed()

  Specified by:
    `iteratorRemoveAllowed` in interface `com.hp.hpl.jena.graph.Capabilities`

### sizeAccurate

    public boolean sizeAccurate()

  Specified by:
    `sizeAccurate` in interface `com.hp.hpl.jena.graph.Capabilities`

### handlesLiteralTyping

    public boolean handlesLiteralTyping()

  Specified by:
    `handlesLiteralTyping` in interface `com.hp.hpl.jena.graph.Capabilities`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.